> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Returns a single webhook subscription by id for the authenticated nonprofit.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json get /api/v3/webhooks/{webhookId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/webhooks/{webhookId}:
    get:
      tags:
        - Webhooks
      summary: Get Webhook
      description: >-
        Returns a single webhook subscription by id for the authenticated
        nonprofit.
      operationId: OpenApiWebhooksController_getWebhookById
      parameters:
        - name: webhookId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWebhookResponse'
        '404':
          description: Webhook subscription not found
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    GetWebhookResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Webhook subscription id.
              example: 6817cec907243f2d3a1130df
            name:
              type: string
              description: Webhook subscription name.
              example: Main webhook endpoint
            description:
              type: string
              nullable: true
              description: Webhook subscription description.
              example: Receives contribution events for reporting.
            destinationUrl:
              type: string
              format: uri
              description: Subscription destination URL.
              example: https://example.org/webhooks/overflow
            enabledEvents:
              type: array
              items:
                type: string
                enum:
                  - '*'
                  - contribution.approved
                  - contribution.declined
                  - contribution.paid_out
                  - contribution.processing
                  - contribution.chargeback_lost
                  - contribution.chargeback_pending
                  - contribution.chargeback_won
                  - contribution.refund_approved
                  - contribution.refund_canceled
                  - contribution.refund_failed
                  - contribution.refund_requested
                  - contribution.refund_requires_action
                  - contribution.refunded
                  - contribution.voided
                  - donor.archived
                  - donor.created
                  - donor.merged
                  - donor.updated
                  - deposit.paid_out
                  - recurring_gift.active
                  - recurring_gift.cycle_failed
                  - recurring_gift.failed
                  - recurring_gift.inactive
                  - recurring_gift.paused
                  - recurring_gift.updated
              description: Event names that trigger this subscription.
              example:
                - contribution.approved
            status:
              type: string
              enum:
                - enabled
                - disabled
              description: Subscription status.
              example: enabled
            createdAt:
              type: string
              format: date-time
              description: Date the subscription was created.
              example: '2026-05-19T00:00:00.000Z'
            updatedAt:
              type: string
              format: date-time
              description: Date the subscription was last updated.
              example: '2026-05-20T00:00:00.000Z'
          required:
            - id
            - name
            - description
            - destinationUrl
            - enabledEvents
            - status
            - createdAt
            - updatedAt
          description: Webhook subscription.
      required:
        - data
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````